function [f, Y] = spectrum(t, y, n)

 L = length(y);            
 T = (max(t)-min(t))/L;            
 Fs = 1/T;
 f = Fs*(0:(n/2))/n;
 
 Y = fft(y-mean(y),n);
 
 Y = abs(Y/L);
 Y = Y ./ max(Y);
 Y = Y(1:n/2+1,:);
 Y(2:end-1) = 2*Y(2:end-1);
  
end